package com.mdd.admin.service.impl;

import com.mdd.admin.service.ISettingUserService;
import com.mdd.admin.validate.setting.SettingUserValidate;
import com.mdd.admin.vo.setting.SettingUserVo;
import com.mdd.common.util.ConfigUtils;
import com.mdd.common.util.UrlUtils;
import org.springframework.stereotype.Service;

@Service
public class SettingUserServiceImpl implements ISettingUserService {
   public SettingUserVo detail() {
      String defaultAvatar = ConfigUtils.get("user", "defaultAvatar", "");
      SettingUserVo vo = new SettingUserVo();
      vo.setDefaultAvatar(UrlUtils.toAbsoluteUrl(defaultAvatar));
      return vo;
   }

   public void save(SettingUserValidate userValidate) {
      ConfigUtils.set("user", "defaultAvatar", UrlUtils.toRelativeUrl(userValidate.getDefaultAvatar()));
   }
}
